import React, {useState, useEffect} from 'react'
import { useParams } from 'react-router-dom';
import {OrderShowDetails} from 'components';
import { Order, Item } from 'Order';
import { useOrder } from 'hooks'
import { OrderService } from 'services'
import {
    Wrap,
    WrapItem
  } from "@chakra-ui/react"



const OrderShowPage = (props: any) => {
    // const { id } = useParams<any>();
    // const { order } = useOrder(id)
    const location = props.match.params.id;
    const apiUrl = 'http://localhost:8080/api/orders/' + location;
    const [order, setOrder] = useState<Order>();
    const [items, setItems] = useState<Item[]>()

    useEffect(() => {
        OrderService.orderById(apiUrl).then((data) => {
            setOrder(data)
            setItems(data.orderItems);
        })
    }, [apiUrl])


    if (!order) {
        return(<></>);
    }
    
    return (
        <div className="table-div">
            <Wrap>
                <WrapItem>Order Date: {order.orderCreatedAt}</WrapItem>
                <WrapItem>Order Number: {order.id}</WrapItem>
                <WrapItem>Order Status: {order.orderStatus}</WrapItem>
            </Wrap>
            
            <OrderShowDetails items={order.orderItems}/>
        </div>
    )
}

export default OrderShowPage
